%global abiver 4
%global realname ignition-fuel_tools

Name:       ignition-fuel-tools
Version:    4.4.0
Release:    1%{?dist}
Summary:    C++ client library and CLI tools for interacting with Ignition Fuel servers

# Bundled gtest and python helper scripts are licensed BSD, but not included in installation
# Installed files are Apache 2
License:    ASL 2.0
URL:        http://www.ignitionrobotics.org
Source0:    https://osrf-distributions.s3.us-east-1.amazonaws.com/ign-fuel-tools/releases/ignition-fuel-tools%{abiver}-%{version}.tar.bz2

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  curl-devel
BuildRequires:  doxygen
BuildRequires:  ignition-cmake-devel >= 2
BuildRequires:  ignition-common-devel >= 3
BuildRequires:  ignition-math-devel >= 6
BuildRequires:  ignition-msgs-devel >= 5
BuildRequires:  jsoncpp-devel
BuildRequires:  libuuid-devel
BuildRequires:  libzip-devel
BuildRequires:  tinyxml2-devel
BuildRequires:  libyaml-devel

%description
Ignition Fuel Tools is composed by a client library and command line tools for
interacting with Ignition Fuel servers.

%package devel
Summary: Development libraries and headers for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
%{summary}

%package doc
Summary: Development documentation for %{name}
BuildArch: noarch

%description doc
%{summary}.

%prep
%autosetup -n ignition-fuel_tools-%{version}

%build
%cmake .. \
%ifnarch x86_64
  -DSSE2_FOUND=FALSE \
%endif
  -DSSE3_FOUND=FALSE \
  -DSSSE3_FOUND=FALSE \
  -DSSE4_1_FOUND=FALSE \
  -DSSE4_2_FOUND=FALSE \
  -DCMAKE_BUILD_TYPE=None


%cmake_build
%cmake_build --target doc

%install
%cmake_install
rm -fr %{buildroot}%{_libdir}/ruby
rm -fr %{buildroot}%{_prefix}/lib/ruby

%files
%license COPYING LICENSE
%doc AUTHORS NEWS README.md
%{_libdir}/*.so.%{version}
%{_libdir}/*.so.%{abiver}
%{_datadir}/ignition

%files devel
%{_libdir}/*.so
%{_includedir}/ignition
%{_libdir}/cmake/%{realname}%{abiver}
%{_libdir}/cmake/%{realname}%{abiver}-all
%{_libdir}/pkgconfig/*.pc

%files doc
%license COPYING LICENSE
%doc %{_vpath_builddir}/doxygen/html

%changelog
* Sun Jan 23 2022 Rich Mattes <richmattes@gmail.com> - 4.4.0-1
- Update to release 4.4.0

* Mon Mar 08 2021 Rich Mattes <richmattes@gmail.com> - 4.3.0-1
- Initial Package
